Module java.base
Package java.security

## Class UnrecoverableEntryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.UnrecoverableEntryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnrecoverableKeyException

    public class UnrecoverableEntryException
    extends GeneralSecurityException

This exception is thrown if an entry in the keystore cannot be recovered.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnrecoverableEntryException()` Constructs an UnrecoverableEntryException with no detail message.
`UnrecoverableEntryException(String msg)` Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### UnrecoverableEntryException

    public UnrecoverableEntryException()

Constructs an UnrecoverableEntryException with no detail message.

#### UnrecoverableEntryException

    public UnrecoverableEntryException(String msg)

Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.

Parameters:
  `msg` - the detail message.